import { Plugin, Runner } from '@morjs/utils';
/**
 * 处理 app.json 在编译时和集成时的更新能力
 * 场景:
 *   - 基于主子分包分别编译的情况下 app.json 存在延迟更新的情况
 *   - 编译时会生成 mor.p.js 文件代表 app.json
 *   - 集成完成时会自动更新 mor.p.js 文件，以确保 app.json 的信息始终为最新
 */
export declare class GenerateComposedAppJsonFilePlugin implements Plugin {
    name: string;
    runner: Runner;
    apply(runner: Runner): void;
    shouldIgnorePlugin(): boolean;
    /**
     * 生成集成 app 配置文件内容, 将 json 内容生成为可引用的 js 文件
     * @param composedApp - 集成 app 配置内容
     * @returns 生成的内容
     */
    generateComposedAppFileContent(composedApp: Record<string, any>): string;
}
