import { EntryBuilderHelpers, Plugin, Runner, WebpackWrapper } from '@morjs/utils';
/**
 * 处理小程序 consumes 和 shared 配置
 * 主要用于小程序主分包间共享 node_modules 依赖
 */
export declare class ModuleSharingAndConsumingPlugin implements Plugin {
    name: string;
    runner: Runner;
    wrapper: WebpackWrapper;
    entryBuilder: EntryBuilderHelpers;
    apply(runner: Runner<any>): void;
    prepare(runner: Runner): void;
    processConsumes(): void;
    processShared(): void;
    /**
     * 判断插件是否符合开启条件
     */
    isPluginEnabled(): boolean;
    /**
     * 获取共享 node_modules 的公共变量
     * @returns 如 my.mor_shared 或 wx.mor_shared
     */
    getSharingContainer(): string;
    /**
     * 忽略 mor shared 虚拟文件
     */
    ignoreSharedFile(): void;
    getSharedFilePath(): string;
    generateSharedFileContent(): string | void;
}
