import { Plugin, Runner } from '@morjs/utils';
import { CompilerRuntimeConfig } from '../compilerPlugins';
declare type RUMTIME_REPLACE_TYPE = 'app' | 'page' | 'component' | 'api';
/**
 * 运行时注入支持, 通过注入多端支持的方式支持
 *
 * - 提供 api 抹平
 * - 提供 app 抹平
 * - 提供 page 抹平
 * - 提供 component 抹平
 * - 提供 behavior 抹平
 *
 * 通过 插件获取 runtime 文件地址, 并基于配置自动注入到响应的 js 文件中
 */
export declare class RuntimeInjectPlugin implements Plugin {
    name: string;
    apply(runner: Runner): void;
    /**
     * 尝试替换运行时占位符为实际的调用
     * @param filePath 文件路径
     * @param fileContent 文件内容
     * @param replaceType 替换类型
     * @param sourceRuntimes 源码运行时代码注入配置
     * @param targetRuntimes 目标平台运行时代码注入配置
     * @returns 替换后的文件内容
     */
    tryReplaceFileContentByType(sourceType: string, filePath: string, fileContent: string, replaceType: RUMTIME_REPLACE_TYPE, sourceRuntimes: CompilerRuntimeConfig, targetRuntimes: CompilerRuntimeConfig): string;
}
export {};
